summaryrefslogtreecommitdiffstats
path: root/network/lighttpd
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 22:25:32 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:25:32 +0200
commit82ae300f4867e6e75a3a5c1a36de31d5d5594b26 (patch)
tree6e622b0ef1fc58172b623f9f9eced834194a0727 /network/lighttpd
parent05cc16dfae28686c0627956fe3024245cd1b601a (diff)
downloadslackbuilds-82ae300f4867e6e75a3a5c1a36de31d5d5594b26.tar.gz
slackbuilds-82ae300f4867e6e75a3a5c1a36de31d5d5594b26.tar.xz
network/lighttpd: Updated for version 1.4.20
Diffstat (limited to 'network/lighttpd')
-rw-r--r--network/lighttpd/README25
-rw-r--r--network/lighttpd/lighttpd.SlackBuild24
-rw-r--r--network/lighttpd/lighttpd.info12
3 files changed, 43 insertions, 18 deletions
diff --git a/network/lighttpd/README b/network/lighttpd/README
index 6a9e3e0cf1..d8623f000f 100644
--- a/network/lighttpd/README
+++ b/network/lighttpd/README
@@ -33,3 +33,28 @@ to stop lighttpd on system shutdown.
if [ -x /etc/rc.d/rc.lighttpd ]; then
/etc/rc.d/rc.lighttpd stop
fi
+
+* PHP users:
+Slackware's default php package is meant to work with
+httpd(apache). It works fine with lighttpd with a couple of tweaks.
+
+1) Copy the php.ini from /etc/httpd to /etc/lighttpd
+
+2) Uncomment mod_fastcgi from the modules section of
+/etc/lighttpd/lighttpd.conf.
+
+3) Rework the fastcgi section of /etc/lighttpd/lighttpd.conf to the
+following: (Or just copy this in below the extisting commented out
+fastcgi config.)
+
+fastcgi.server = ( ".php" =>
+ ( "localhost" =>
+ (
+ "socket" => "/tmp/php-fastcgi.socket",
+ "bin-path" => "/usr/bin/php-cgi -c /etc/lighttpd/php.ini"
+ )
+ )
+ )
+
+4) Change the group of /var/lib/php from "apache" to "lighttpd".
+Otherwise php won't be able to use $_SESSION.
diff --git a/network/lighttpd/lighttpd.SlackBuild b/network/lighttpd/lighttpd.SlackBuild
index f81427f25c..2d88a0d794 100644
--- a/network/lighttpd/lighttpd.SlackBuild
+++ b/network/lighttpd/lighttpd.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-
+#
# Slackware build script for lighttpd
-
+#
# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
# All rights reserved.
#
@@ -21,26 +21,22 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# Modified by the SlackBuilds.org team.
-
-# Exit on most errors
-set -e
PRGNAM=lighttpd
-VERSION=1.4.18
+VERSION=1.4.20
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-## lighttpd user & group. *MUST* exist before package creation
+## lighttpd user & group *MUST* exist before package creation
# See http://slackbuilds.org/uid_gid.txt for current recomendations.
-LIGHTTPD_USER=lighttpd
-LIGHTTPD_GROUP=lighttpd
+LIGHTTPD_USER=${LIGHTTPD_USER:-lighttpd}
+LIGHTTPD_GROUP=${LIGHTTPD_GROUP:-lighttpd}
if ! grep ^$LIGHTTPD_GROUP: /etc/group > /dev/null 2>&1; then
echo "$0: Error: LIGHTTP group ($LIGHTTPD_GROUP) doesn't exist."
@@ -58,13 +54,17 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
diff --git a/network/lighttpd/lighttpd.info b/network/lighttpd/lighttpd.info
index df79d69b53..1073938cd1 100644
--- a/network/lighttpd/lighttpd.info
+++ b/network/lighttpd/lighttpd.info
@@ -1,8 +1,8 @@
PRGNAM="lighttpd"
-VERSION="1.4.18"
+VERSION="1.4.20"
HOMEPAGE="http://www.lighttpd.net/"
-DOWNLOAD="http://www.lighttpd.net/download/lighttpd-1.4.18.tar.gz"
-MD5SUM="26f98dddf9d8c0775221b800986003ee"
-MAINTAINER="Daniel de Kok"
-EMAIL="danieldk@pobox.com"
-APPROVED="rworkman"
+DOWNLOAD="http://www.lighttpd.net/download/lighttpd-1.4.20.tar.bz2"
+MD5SUM="ed6ee0bb714f393219a32768d86984d8"
+MAINTAINER="paul wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="David Somero"